#pragma once
#include "SortedIndexedList.h"


//DO NOT CHANGE THIS PART
class ListIterator{
	friend class SortedIndexedList;
private:
	const SortedIndexedList& list;
	ListIterator(const SortedIndexedList& list);

	//TODO - Representation
	int _current;

public:
	void first();
	void last();
	void next();
	bool valid() const;
    TComp getCurrent() const;
	void previous();
};


